| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
SV_3DOF_Y_BASIC Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_3DOF_Y_BASIC:

## Data Fields
float | fPhi
float | fThe
float | fPsi
float | fRho
float | fChi
float | fR [3][3]
struct fquaternion | fq
float | fRVec [3]
float | fOmega [3]
int32 | systick
struct fquaternion | fDeltaq
float | fFastdeltat
float | fdeltat
int8 | resetflag

## Detailed Description

Definition at line 100 of file fusion_types.h.

## Field Documentation

float fChi

Definition at line 108 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

struct fquaternion fDeltaq

Definition at line 118 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

float fdeltat

Definition at line 120 of file fusion_types.h.

Referenced by fInit_3DOF_Y_BASIC().

float fFastdeltat

Definition at line 119 of file fusion_types.h.

Referenced by fInit_3DOF_Y_BASIC(), and fRun_3DOF_Y_BASIC().

float fOmega[3]

Definition at line 114 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

float fPhi

Definition at line 104 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

float fPsi

Definition at line 106 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

struct fquaternion fq

Definition at line 111 of file fusion_types.h.

Referenced by fInit_3DOF_Y_BASIC(), and fRun_3DOF_Y_BASIC().

float fR[3][3]

Definition at line 110 of file fusion_types.h.

Referenced by fInit_3DOF_Y_BASIC(), and fRun_3DOF_Y_BASIC().

float fRho

Definition at line 107 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

float fRVec[3]

Definition at line 112 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

float fThe

Definition at line 105 of file fusion_types.h.

Referenced by fRun_3DOF_Y_BASIC().

int8 resetflag

Definition at line 121 of file fusion_types.h.

Referenced by fInit_3DOF_Y_BASIC(), fRun_3DOF_Y_BASIC(), and Fusion_Init().

int32 systick

Definition at line 116 of file fusion_types.h.

Referenced by Fusion_Run().

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.